#include "eOptions.hpp"

using MainMenu::eOptions;

void MainMenu::operator++(eOptions& option)
{
	switch (option)
	{
	case Start:
		option = Head;
		break;
	case Head:
		option = Quit;
		break;
	case Quit:
		option = Start;
		break;
	}
}

void MainMenu::operator--(eOptions& option)
{
	switch (option)
	{
	case Start:
		option = Quit;
		break;
	case Head:
		option = Start;
		break;
	case Quit:
		option = Head;
		break;
	}
}